# Typescript/Javascript SDK

## ¿Como instalar?

El SDK de PixelPay está disponible para JavaScript y TypeScript en diferentes entornos.

> ¡Cuidado!
> Este ambiente puede ejecutarse en un navegador. Si el servicio del navegador no está disponible (Node.js), el SDK no podrá ejecutarse con 3DS. 

### Modular / Node

Para instalar el paquete oficial de NPM:

``` bash
npm install @pixelpay/sdk-core
```

> Recuerda...
> Si estás utilizando React, Angular o Vue para desarrollar tu app, la instalación del SDK también será mediante el paquete de npm @pixelpay/sdk-core.

### Browser / CDN

Para poder utilizar el SDK en Angular o Ionic/Angular es recomendable utilizar el CDN con Unpkg:

``` html
<script src="https://unpkg.com/@pixelpay/sdk-core"></script>
```

Se debe colocar el script en el archivo src/index.html y declarar una variable global del SDK donde se vaya a utilizar el servicio de este.

Ejemplo HTML con Angular:

``` html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <title>Angular</title>
    <base href="/" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="icon" type="image/x-icon" href="favicon.ico" />
  </head>
  <body>
    <app-root></app-root>
    <!-- CDN SDK -->
    <script src="https://unpkg.com/@pixelpay/sdk-core"></script>
  </body>
</html>
```
