"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Helpers_1 = __importDefault(require("./Helpers"));
const version_1 = __importDefault(require("../version"));
class RequestBehaviour {
    /**
     * Initialize request
     */
    constructor() {
        /**
         * Environment identifier (live|test|sandbox)
         */
        this.env = null;
        /**
         * Transaction response messages language
         */
        this.lang = null;
        /**
         * SDK indentifier type
         */
        this.from = null;
        /**
         * SDK version
         */
        this.sdk_version = null;
        this.lang = Intl.DateTimeFormat().resolvedOptions().locale;
        this.from = 'sdk-javascript';
        this.sdk_version = version_1.default;
        if (this.lang != 'es' && this.lang != 'en') {
            this.lang = 'es';
        }
    }
    /**
     * Serialize object to JSON string
     *
     * @return
     */
    toJson() {
        return Helpers_1.default.objectToJson(this);
    }
}
exports.default = RequestBehaviour;
//# sourceMappingURL=RequestBehaviour.js.map