export default class Response {
    /**
     * HTTP response status code
     */
    status: number;
    /**
     * Response 'action to' format
     */
    action: string;
    /**
     * Exception response details
     */
    exception: any;
    /**
     * Response status success
     */
    success: boolean;
    /**
     * Response friendly message
     */
    message: string;
    /**
     * Response data payload
     */
    data: any;
    /**
     * Response input validation felds errors
     */
    errors: object;
    /**
     * Define HTTP status code response
     *
     * @param status
     */
    setStatus(status: number): void;
    /**
     * Get HTTP status code
     *
     * @return
     */
    getStatus(): number;
    /**
     * Verify input has error
     *
     * @param key
     * @return
     */
    inputHasError(key: string): boolean;
    /**
     * Get data payload by key
     *
     * @param key
     * @return
     */
    getData(key: string): any;
    /**
     * Serialize object to JSON string
     *
     * @return
     */
    toJson(): string;
}
