import SuccessResponse from '../responses/SuccessResponse';
import Response from '../base/Response';
export default class CardResult {
    /**
     * Card status
     */
    status: string;
    /**
     * Card number masked
     */
    mask: string;
    /**
     * Card network brand
     */
    network: string;
    /**
     * Card type (debit/credit)
     */
    type: string;
    /**
     * Car bin number
     */
    bin: string;
    /**
     * Card last 4 numbers
     */
    last: string;
    /**
     * Card unique hash number
     */
    hash: string;
    /**
     * Billing address
     */
    address: string;
    /**
     * Billing country
     */
    country: string;
    /**
     * Billing state
     */
    state: string;
    /**
     * Billing city
     */
    city: string;
    /**
     * Billing postal code
     */
    zip: string;
    /**
     * Billing customer email
     */
    email: string;
    /**
     * Billing phone
     */
    phone: string;
    /**
     * Validate if response type is valid for parse
     *
     * @param response
     * @return
     */
    static validateResponse(response: Response): boolean;
    /**
     * Convert success response to card entity
     *
     * @param response
     * @return
     */
    static fromResponse(response: SuccessResponse): CardResult;
}
