"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const SuccessResponse_1 = __importDefault(require("../responses/SuccessResponse"));
class CardResult {
    constructor() {
        /**
         * Card status
         */
        this.status = undefined;
        /**
         * Card number masked
         */
        this.mask = undefined;
        /**
         * Card network brand
         */
        this.network = undefined;
        /**
         * Card type (debit/credit)
         */
        this.type = undefined;
        /**
         * Car bin number
         */
        this.bin = undefined;
        /**
         * Card last 4 numbers
         */
        this.last = undefined;
        /**
         * Card unique hash number
         */
        this.hash = undefined;
        /**
         * Billing address
         */
        this.address = undefined;
        /**
         * Billing country
         */
        this.country = undefined;
        /**
         * Billing state
         */
        this.state = undefined;
        /**
         * Billing city
         */
        this.city = undefined;
        /**
         * Billing postal code
         */
        this.zip = undefined;
        /**
         * Billing customer email
         */
        this.email = undefined;
        /**
         * Billing phone
         */
        this.phone = undefined;
    }
    /**
     * Validate if response type is valid for parse
     *
     * @param response
     * @return
     */
    static validateResponse(response) {
        return response instanceof SuccessResponse_1.default;
    }
    /**
     * Convert success response to card entity
     *
     * @param response
     * @return
     */
    static fromResponse(response) {
        const entity = new CardResult();
        Object.getOwnPropertyNames(response.data).map(prop => {
            if (prop in entity) {
                entity[prop] = response.data[prop];
            }
        });
        return entity;
    }
}
exports.default = CardResult;
//# sourceMappingURL=CardResult.js.map