"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Card {
    constructor() {
        /**
         * Card number or PAN
         */
        this.number = undefined;
        /**
         * Card security code
         */
        this.cvv2 = undefined;
        /**
         * Card expire month date (MM)
         */
        this.expire_month = undefined;
        /**
         * Card expire year date (YYYY)
         */
        this.expire_year = undefined;
        /**
         * Cardholder name
         */
        this.cardholder = undefined;
    }
    /**
     * Get expire ISO format (YYMM)
     *
     * @return
     */
    getExpireFormat() {
        if (!this.expire_month || !this.expire_year) {
            return '';
        }
        const year = String(this.expire_year);
        const month = ('00' + this.expire_month).slice(-2);
        return year.substr(-2) + month;
    }
}
exports.default = Card;
//# sourceMappingURL=Card.js.map