import Item from "./Item";
export default class Order {
    /**
     * Order ID
     */
    id: string;
    /**
     * Order currency code alpha-3
     */
    currency: string;
    /**
     * Order total amount
     */
    amount: number;
    /**
     * Order total tax amount
     */
    tax_amount: number;
    /**
     * Order total shipping amount
     */
    shipping_amount: number;
    /**
     * Order summary of items or products
     */
    content: Array<Item>;
    /**
     * Order extra properties
     */
    extras: Object;
    /**
     * Order note or aditional instructions
     */
    note: string;
    /**
     * Order calback webhook URL
     */
    callback_url: string;
    /**
     * Order customer name
     */
    customer_name: string;
    /**
     * Order customer email
     */
    customer_email: string;
    /**
     * Initialize model
     */
    constructor();
    /**
     * Add item to content list of products/items
     *
     * @param item
     * @return
     */
    addItem(item: Item): Order;
    /**
     * Add extra property to order
     *
     * @param key
     * @param value
     * @return
     */
    addExtra(key: string, value: any): Order;
    /**
     * Totalize order amounts and items
     *
     * @return
     */
    totalize(): Order;
}
