export default class Settings {
    /**
     * Merchant API auth key
     */
    auth_key: string;
    /**
     * Merchant API auth hash (MD5 of secret key)
     */
    auth_hash: string;
    /**
     * Merchant API platform auth user (SHA-512 of user email)
     */
    auth_user: string;
    /**
     * Merchant API endpoint URL
     */
    endpoint: string;
    /**
     * Merchant API environment
     */
    environment: string;
    /**
     * Settings response messages language
     */
    lang: string;
    /**
     * SDK identifier
     */
    sdk: string;
    /**
     * SDK identifier
     */
    sdk_version: string;
    /**
     * Initialize service
     */
    constructor();
    /**
     * Setup API endpoint URL
     *
     * @param endpoint
     */
    setupEndpoint(endpoint: string): void;
    /**
     * Setup API credentials
     *
     * @param key
     * @param hash
     */
    setupCredentials(key: string, hash: string): void;
    /**
     * Setup API platform user
     *
     * @param hash
     */
    setupPlatformUser(hash: string): void;
    /**
     * Setup API environment
     *
     * @param env
     */
    setupEnvironment(env: string): void;
    /**
     * Setup defaults to Sandbox credentials
     */
    setupSandbox(): void;
    /**
     * Setup response messages language
     *
     * @param lang
     */
    setupLanguage(lang: string): void;
}
