import RequestBehaviour from '../base/RequestBehaviour';
import Card from '../models/Card';
import Billing from '../models/Billing';
export default class CardTokenization extends RequestBehaviour {
    /**
     * Card number or PAN
     */
    number: string;
    /**
     * Card security code
     */
    cvv2: string;
    /**
     * Card expire month date (MM)
     */
    expire_month: string;
    /**
     * Card expire year date (YYYY)
     */
    expire_year: string;
    /**
     * Cardholder name
     */
    cardholder: string;
    /**
     * Customer billing address
     */
    address: string;
    /**
     * Customer billing country alpha-2 code (ISO 3166-1)
     */
    country: string;
    /**
     * Customer billing state alpha code (ISO 3166-2)
     */
    state: string;
    /**
     * Customer billing city
     */
    city: string;
    /**
     * Customer billing postal code
     */
    zip: string;
    /**
     * Customer billing phone
     */
    phone: string;
    /**
     * Customer email
     */
    email: string;
    /**
     * Associate and mapping Card model properties to transaction
     *
     * @param card
     */
    setCard(card: Card): void;
    /**
     * Associate and mapping Billing model properties to transaction
     *
     * @param billing
     */
    setBilling(billing: Billing): void;
}
