"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Helpers_1 = __importDefault(require("../base/Helpers"));
const PaymentTransaction_1 = __importDefault(require("./PaymentTransaction"));
class SaleTransaction extends PaymentTransaction_1.default {
    constructor() {
        super(...arguments);
        /**
         * Transaction installment type
         */
        this.installment_type = null;
        /**
         * Transaction installment value
         */
        this.installment_months = null;
        /**
         * Transaction total points redeem amount
         */
        this.points_redeem_amount = null;
    }
    /**
     * Set Installment service values to transaction
     *
     * @param months
     * @param type
     */
    setInstallment(months, type) {
        this.installment_months = String(months);
        this.installment_type = type;
    }
    /**
     * Set transaction points redeem amount
     *
     * @param amount
     */
    withPointsRedeemAmount(amount) {
        this.points_redeem_amount = Helpers_1.default.parseAmount(amount);
    }
}
exports.default = SaleTransaction;
//# sourceMappingURL=SaleTransaction.js.map