"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const countriesRepository = __importStar(require("../assets/countries.json"));
const statesRepository = __importStar(require("../assets/states.json"));
const formatsRepository = __importStar(require("../assets/formats.json"));
exports.default = {
    /**
     * Return a list of countries
     *
     * @return
     */
    countriesList: () => {
        return countriesRepository || {};
    },
    /**
     * Get states list by country ISO code
     *
     * @param country_code
     * @return
     */
    statesList: (country_code) => {
        if (!Object.prototype.hasOwnProperty.call(statesRepository || {}, country_code)) {
            return {};
        }
        return statesRepository[country_code] || {};
    },
    /**
     * Get phone and zip formats list by country ISO code
     *
     * @param country_code
     * @return
     */
    formatsList: (country_code) => {
        if (!Object.prototype.hasOwnProperty.call(formatsRepository || {}, country_code)) {
            return {};
        }
        return formatsRepository[country_code] || {};
    },
};
//# sourceMappingURL=Locations.js.map