import Response from '../base/Response';
import ServiceBehaviour from '../base/ServiceBehaviour';
import LookupTransaction from '../requests/LookupTransaction';
import LookupContinueTransaction from '../requests/LookupContinueTransaction';
import PaymentTransaction from '../requests/PaymentTransaction';
export default class CardinalAuthentication extends ServiceBehaviour {
    /**
     * Stored running transaction to prevent duplicates
     */
    static runningTransaction: Promise<Response>;
    /**
     * Allow future transactions to run safely by cleaning the running transaction
     */
    free(): void;
    /**
     * Send an authentication lookup transaction
     */
    authenticationLookup(transaction: LookupTransaction): Promise<Response>;
    /**
     * Send and validate authentication continue transaction
     */
    authenticationContinue(transaction: LookupContinueTransaction): Promise<Response>;
    /**
     * Send payment transaction by type (Sale/Auth)
     */
    retryTransaction(transaction: PaymentTransaction): Promise<Response>;
}
