import Card from '../../src/models/Card';

test('Card shoul be empty', () => {
    let card: Card = new Card();

    expect(card.cardholder).toBe(undefined)
    expect(card.cvv2).toBe(undefined)
    expect(card.expire_month).toBe(undefined)
    expect(card.expire_year).toBe(undefined)
    expect(card.number).toBe(undefined)
})

test('Setup card model successful', () => {
    let card: Card = new Card();
    let name = "Jhon Doe"
    let cvv = "009";
    let month = 12;
    let year = 2025;
    let number = "4111 1111 1111 1111";

    card.cardholder = name;
    card.cvv2 = cvv;
    card.expire_month = month;
    card.expire_year = year;
    card.number = number;

    expect(card.cardholder).toEqual(name)
    expect(card.cvv2).toBe(cvv)
    expect(card.expire_month).toBe(month)
    expect(card.expire_year).toBe(year)
    expect(card.number).toBe(number)
    expect(card.getExpireFormat()).toEqual("2512");
})